Bug 184691 - [patch] getty(8): remove leftovers from COMPAT_43 removal, sync man page
Summary: [patch] getty(8): remove leftovers from COMPAT_43 removal, sync man page
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 9.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-11 16:50 UTC by Christian Weisgerber
Modified: 2019-02-18 15:57 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (4.24 KB, patch)
2013-12-11 16:50 UTC, Christian Weisgerber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weisgerber freebsd_committer 2013-12-11 16:50:00 UTC
When the f0, f1, f2 capabilities were deleted from getty(8) with
the COMPAT_43 removal, some dead code was forgotten and the gettytab(5)
man page wasn't updated.
Comment 1 commit-hook freebsd_committer 2018-02-26 17:52:16 UTC
A commit references this bug:

Author: trasz
Date: Mon Feb 26 17:51:19 UTC 2018
New revision: 330022
URL: https://svnweb.freebsd.org/changeset/base/330022

Log:
  Fix gettytab(5) to document f0, f1, and f2 as unsupported; they've been gone
  since r131091.

  PR:             184691 (partial)
  Submitted by:   naddy@
  MFC after:      2 weeks
  Sponsored by:   The FreeBSD Foundation

Changes:
  head/libexec/getty/gettytab.5
Comment 2 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-21 09:34:17 UTC
(Adding trasz@ to Cc)

Is C part of this patch still needs to be committed or can it be closed?
Comment 3 Edward Tomasz Napierala freebsd_committer 2019-02-18 15:57:24 UTC
The C parts might be committed; the reason I hadn't done so is that the way is structured, there's a bunch of hardcoded offsets, and I'd need to take a really close look to make sure they match.  And we don't really gain much by committing it - as the PR says, it's just leftovers that don't hurt.